# Conditionals to help breaking vorbis-java-tika <-> tika dependency cycle
%if 0%{?fedora}
%bcond_with tika
%endif

Name:          vorbis-java
Version:       0.8
Release:       5%{?dist}
Summary:       Ogg and Vorbis toolkit for Java
License:       ASL 2.0
URL:           https://github.com/Gagravarr/VorbisJava
Source0:       https://github.com/Gagravarr/VorbisJava/archive/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
%if %{without tika}
BuildRequires: mvn(org.apache.tika:tika-core)
%endif

BuildArch:     noarch

%description
This library is a pure Java, for working with Ogg and
Vorbis, FLAC, Opus, Speex and Theora files.

%if %{without tika}
%package tika
Summary:       VorbisJava Apache Tika plugin

%description tika
This package contains Apache Tika plugin for Ogg,
Vorbis and FLAC.
%endif

%package tools
Summary:       VorbisJava Tools

%description tools
This package contains VorbisJava Ogg and Vorbis tools for Java.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n VorbisJava-%{name}-%{version}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%if %{with tika}
%pom_disable_module tika
%pom_xpath_remove "pom:dependency[pom:scope = 'test']" tika
%endif

# disable embedded core copy
%pom_remove_plugin :maven-assembly-plugin tools

%pom_remove_plugin :maven-gpg-plugin parent
%pom_remove_plugin :maven-source-plugin parent
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" parent

%mvn_package :%{name} %{name}
%mvn_package :%{name}-parent %{name}
%mvn_package :%{name}-core %{name}

%build

# Skip test @ random fails on arm builder
%mvn_build -s -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%doc CHANGES.txt README.txt TODO.txt
%license LICENSE.txt NOTICE.txt

%if %{without tika}
%files tika -f .mfiles-%{name}-tika
%license LICENSE.txt NOTICE.txt
%endif

%files tools -f .mfiles-%{name}-tools
%license LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Mar 05 2016 gil cattaneo <puntogil@libero.it> 0.8-1
- update to 0.8

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 07 2015 gil cattaneo <puntogil@libero.it> 0.7-1
- update to 0.7

* Fri Feb 13 2015 gil cattaneo <puntogil@libero.it> 0.6-2
- introduce license macro

* Thu Sep 25 2014 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 0.2-1
- initial rpm
